LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Server
User Name
Password
Linux - Server This forum is for the discussion of Linux Software used in a server related context.

Notices


Reply
  Search this Thread
Old 09-04-2009, 10:27 PM   #1
YassBoss
LQ Newbie
 
Registered: Jun 2009
Distribution: Gentoo Linux
Posts: 25

Rep: Reputation: 15
Question Apache slow at start and not running even though it says it's started!!!


Hello,
Just like I said in the title, I can't access to http://localhost/ and when I try to stop it and it gives this:
Code:
# /etc/init.d/apache2 stop
httpd (no pid file) not running
Code:
$ cat /etc/conf.d/apache2
# /etc/conf.d/apache2: config file for /etc/init.d/apache2

# When you install a module it is easy to activate or deactivate the modules
# and other features of apache using the APACHE2_OPTS line. Every module should
# install a configuration in /etc/apache2/modules.d. In that file will have an
# <IfDefine NNN> directive where NNN is the option to enable that module.
#
# Here are the options available in the default configuration:
#
#  AUTH_DIGEST  Enables mod_auth_digest
#  AUTHNZ_LDAP  Enables authentication through mod_ldap (available if USE=ldap)
#  CACHE        Enables mod_cache
#  DAV          Enables mod_dav
#  ERRORDOCS    Enables default error documents for many languages.
#  INFO         Enables mod_info, a useful module for debugging
#  LANGUAGE     Enables content-negotiation based on language and charset.
#  LDAP         Enables mod_ldap (available if USE=ldap)
#  MANUAL       Enables /manual/ to be the apache manual (available if USE=docs)
#  MEM_CACHE    Enables default configuration mod_mem_cache
#  PROXY        Enables mod_proxy
#  SSL          Enables SSL (available if USE=ssl)
#  SUEXEC       Enables running CGI scripts (in USERDIR) through suexec.
#  USERDIR      Enables /~username mapping to /home/username/public_html
#
#
# The following two options provide the default virtual host for the HTTP and
# HTTPS protocol. YOU NEED TO ENABLE AT LEAST ONE OF THEM, otherwise apache
# will not listen for incomming connections on the approriate port.
#
#  DEFAULT_VHOST      Enables name-based virtual hosts, with the default
#                     virtual host being in /var/www/localhost/htdocs
#  SSL_DEFAULT_VHOST  Enables default vhost for SSL (you should enable this
#                     when you enable SSL)
#
APACHE2_OPTS="-D DEFAULT_VHOST -D INFO -D LANGUAGE -D SSL -D SSL_DEFAULT_VHOST -D PHP5"

# Extended options for advanced uses of Apache ONLY
# You don't need to edit these unless you are doing crazy Apache stuff
# As not having them set correctly, or feeding in an incorrect configuration
# via them will result in Apache failing to start
# YOU HAVE BEEN WARNED.

# PID file
#PIDFILE=/var/run/apache2.pid

# timeout for startup/shutdown checks
#TIMEOUT=10

# ServerRoot setting
#SERVERROOT=/usr/lib64/apache2

# Configuration file location
# - If this does NOT start with a '/', then it is treated relative to
# $SERVERROOT by Apache
CONFIGFILE=/etc/apache2/httpd.conf

# Location to log startup errors to
# They are normally dumped to your terminal.
#STARTUPERRORLOG="/var/log/apache2/startuperror.log"

# A command that outputs a formatted text version of the HTML at the URL
# of the command line. Designed for lynx, however other programs may work.
#LYNX="lynx -dump"

# The URL to your server's mod_status status page.
# Required for status and fullstatus
#STATUSURL="http://localhost/server-status"

# Method to use when reloading the server
# Valid options are 'restart' and 'graceful'
# See http://httpd.apache.org/docs/2.2/stopping.html for information on
# what they do and how they differ.
#RELOAD_TYPE="graceful"
Code:
$ cat /etc/apache2/httpd.conf
# This is a modification of the default Apache 2.2 configuration file
# for Gentoo Linux.
#
# Support:
#   http://www.gentoo.org/main/en/lists.xml   [mailing lists]
#   http://forums.gentoo.org/                 [web forums]
#   irc://irc.freenode.net#gentoo-apache      [irc chat]
#
# Bug Reports:
#   http://bugs.gentoo.org                    [gentoo related bugs]
#   http://httpd.apache.org/bug_report.html   [apache httpd related bugs]
#
#
# This is the main Apache HTTP server configuration file.  It contains the
# configuration directives that give the server its instructions.
# See <URL:http://httpd.apache.org/docs/2.2> for detailed information.
# In particular, see
# <URL:http://httpd.apache.org/docs/2.2/mod/directives.html>
# for a discussion of each configuration directive.
#
# Do NOT simply read the instructions in here without understanding
# what they do.  They're here only as hints or reminders.  If you are unsure
# consult the online docs. You have been warned.
#
# Configuration and logfile names: If the filenames you specify for many
# of the server's control files begin with "/" (or "drive:/" for Win32), the
# server will use that explicit path.  If the filenames do *not* begin
# with "/", the value of ServerRoot is prepended -- so "var/log/apache2/foo_log"
# with ServerRoot set to "/usr" will be interpreted by the
# server as "/usr/var/log/apache2/foo.log".

# ServerRoot: The top of the directory tree under which the server's
# configuration, error, and log files are kept.
#
# Do not add a slash at the end of the directory path.  If you point
# ServerRoot at a non-local disk, be sure to point the LockFile directive
# at a local disk.  If you wish to share the same ServerRoot for multiple
# httpd daemons, you will need to change at least LockFile and PidFile.
ServerRoot "/usr/lib64/apache2"

# Dynamic Shared Object (DSO) Support
#
# To be able to use the functionality of a module which was built as a DSO you
# have to place corresponding `LoadModule' lines at this location so the
# directives contained in it are actually available _before_ they are used.
# Statically compiled modules (those listed by `httpd -l') do not need
# to be loaded here.
#
# Example:
# LoadModule foo_module modules/mod_foo.so
#
# GENTOO: Automatically defined based on APACHE2_MODULES USE_EXPAND variable.
#         Do not change manually, it will be overwritten on upgrade.
#
# The following modules are considered as the default configuration.
# If you wish to disable one of them, you may have to alter other
# configuration directives.
#
# Change these at your own risk!

LoadModule actions_module modules/mod_actions.so
LoadModule alias_module modules/mod_alias.so
LoadModule auth_basic_module modules/mod_auth_basic.so
LoadModule authn_alias_module modules/mod_authn_alias.so
LoadModule authn_anon_module modules/mod_authn_anon.so
LoadModule authn_dbm_module modules/mod_authn_dbm.so
LoadModule authn_default_module modules/mod_authn_default.so
LoadModule authn_file_module modules/mod_authn_file.so
<IfDefine AUTHNZ_LDAP>
LoadModule authnz_ldap_module modules/mod_authnz_ldap.so
</IfDefine>
LoadModule authz_dbm_module modules/mod_authz_dbm.so
LoadModule authz_default_module modules/mod_authz_default.so
LoadModule authz_groupfile_module modules/mod_authz_groupfile.so
LoadModule authz_host_module modules/mod_authz_host.so
LoadModule authz_owner_module modules/mod_authz_owner.so
LoadModule authz_user_module modules/mod_authz_user.so
LoadModule autoindex_module modules/mod_autoindex.so
<IfDefine CACHE>
LoadModule cache_module modules/mod_cache.so
</IfDefine>
LoadModule cgi_module modules/mod_cgi.so
<IfDefine DAV>
LoadModule dav_module modules/mod_dav.so
</IfDefine>
<IfDefine DAV>
LoadModule dav_fs_module modules/mod_dav_fs.so
</IfDefine>
<IfDefine DAV>
LoadModule dav_lock_module modules/mod_dav_lock.so
</IfDefine>
LoadModule deflate_module modules/mod_deflate.so
LoadModule dir_module modules/mod_dir.so
<IfDefine CACHE>
LoadModule disk_cache_module modules/mod_disk_cache.so
</IfDefine>
LoadModule env_module modules/mod_env.so
LoadModule expires_module modules/mod_expires.so
LoadModule ext_filter_module modules/mod_ext_filter.so
<IfDefine CACHE>
LoadModule file_cache_module modules/mod_file_cache.so
</IfDefine>
LoadModule filter_module modules/mod_filter.so
LoadModule headers_module modules/mod_headers.so
LoadModule include_module modules/mod_include.so
<IfDefine INFO>
LoadModule info_module modules/mod_info.so
</IfDefine>
<IfDefine LDAP>
LoadModule ldap_module modules/mod_ldap.so
</IfDefine>
LoadModule log_config_module modules/mod_log_config.so
LoadModule logio_module modules/mod_logio.so
<IfDefine CACHE>
LoadModule mem_cache_module modules/mod_mem_cache.so
</IfDefine>
LoadModule mime_module modules/mod_mime.so
LoadModule mime_magic_module modules/mod_mime_magic.so
LoadModule negotiation_module modules/mod_negotiation.so
LoadModule rewrite_module modules/mod_rewrite.so
LoadModule setenvif_module modules/mod_setenvif.so
LoadModule speling_module modules/mod_speling.so
<IfDefine SSL>
LoadModule ssl_module modules/mod_ssl.so
</IfDefine>
<IfDefine STATUS>
LoadModule status_module modules/mod_status.so
</IfDefine>
LoadModule unique_id_module modules/mod_unique_id.so
<IfDefine USERDIR>
LoadModule userdir_module modules/mod_userdir.so
</IfDefine>
LoadModule usertrack_module modules/mod_usertrack.so
LoadModule vhost_alias_module modules/mod_vhost_alias.so

# If you wish httpd to run as a different user or group, you must run
# httpd as root initially and it will switch.
#
# User/Group: The name (or #number) of the user/group to run httpd as.
# It is usually good practice to create a dedicated user and group for
# running httpd, as with most system services.
User apache
Group apache

# Supplemental configuration
#
# Most of the configuration files in the /etc/apache2/modules.d/ directory can
# be turned on using APACHE2_OPTS in /etc/conf.d/apache2 to add extra features
# or to modify the default configuration of the server.
#
# To know which flag to add to APACHE2_OPTS, look at the first line of the
# the file, which will usually be an <IfDefine OPTION> where OPTION is the
# flag to use.
Include /etc/apache2/modules.d/*.conf

# Virtual-host support
#
# Gentoo has made using virtual-hosts easy. In /etc/apache2/vhosts.d/ we
# include a default vhost (enabled by adding -D DEFAULT_VHOST to
# APACHE2_OPTS in /etc/conf.d/apache2).
Include /etc/apache2/vhosts.d/*.conf

# vim: ts=4 filetype=apache
ServerName localhost
Thanks
 
Old 09-05-2009, 12:58 AM   #2
kirukan
Senior Member
 
Registered: Jun 2008
Location: Eelam
Distribution: Redhat, Solaris, Suse
Posts: 1,278

Rep: Reputation: 148Reputation: 148
only these two lines have uncommented at your startup script, is this your full of startup script for httpd?

where is the other things for start, stop and restart the services?(those things are missing at your script)

Quote:
APACHE2_OPTS="-D DEFAULT_VHOST -D INFO -D LANGUAGE -D SSL -D SSL_DEFAULT_VHOST -D PHP5"
CONFIGFILE=/etc/apache2/httpd.conf

refer the below one this is simple startup script for httpd
Quote:
#!/bin/sh
#
# Startup script for the Apache Web Server
#
# chkconfig: 345 85 15
# description: Apache is a World Wide Web server. It is used to serve \
# HTML files and CGI.
# processname: httpd
# pidfile: /var/run/httpd.pid
# config: /etc/httpd/conf/httpd.conf


# Source function library.
. /etc/rc.d/init.d/functions

# See how we were called.
case "$1" in
start)
echo -n "Starting httpd: "
daemon httpd -DSSL
echo
touch /var/lock/subsys/httpd
;;
stop)
echo -n "Shutting down http: "
killproc httpd
echo
rm -f /var/lock/subsys/httpd
rm -f /var/run/httpd.pid
;;
status)
status httpd
;;
restart)
$0 stop
$0 start
;;
reload)
echo -n "Reloading httpd: "
killproc httpd -HUP
echo
;;
*)
echo "Usage: $0 {start|stop|restart|reload|status}"
exit 1
esac

exit 0
please ignore the commented lines when you are posting configuration files or startup script, it makes us to understand clearly

Last edited by kirukan; 09-05-2009 at 01:04 AM.
 
Old 09-05-2009, 10:24 AM   #3
YassBoss
LQ Newbie
 
Registered: Jun 2009
Distribution: Gentoo Linux
Posts: 25

Original Poster
Rep: Reputation: 15
I think that the other things for start, stop and restart the services are in /etc/init.d/apache2

Code:
$ cat /etc/init.d/apache2
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

opts="configdump configtest fullstatus graceful gracefulstop modules reload virtualhosts"

depend() {
	need net
	use mysql dns logger netmount postgresql
	after sshd
}

configtest() {
	ebegin "Checking ${SVCNAME} configuration"
	checkconfig
	eend $?
}

checkconfd() {
	PIDFILE="${PIDFILE:-/var/run/apache2.pid}"
	TIMEOUT=${TIMEOUT:-10}

	SERVERROOT="${SERVERROOT:-/usr/lib64/apache2}"
	if [ ! -d ${SERVERROOT} ]; then
		eerror "SERVERROOT does not exist: ${SERVERROOT}"
		return 1
	fi

	CONFIGFILE="${CONFIGFILE:-/etc/apache2/httpd.conf}"
	[ "${CONFIGFILE#/}" = "${CONFIGFILE}" ] && CONFIGFILE="${SERVERROOT}/${CONFIGFILE}"
	if [ ! -r "${CONFIGFILE}" ]; then
		eerror "Unable to read configuration file: ${CONFIGFILE}"
		return 1
	fi

	APACHE2_OPTS="${APACHE2_OPTS} -d ${SERVERROOT}"
	APACHE2_OPTS="${APACHE2_OPTS} -f ${CONFIGFILE}"
	[ -n "${STARTUPERRORLOG}" ] && APACHE2_OPTS="${APACHE2_OPTS} -E ${STARTUPERRORLOG}"

	APACHE2="/usr/sbin/apache2"
}

checkconfig() {
	checkconfd || return 1

	${APACHE2} ${APACHE2_OPTS} -t 1>/dev/null 2>&1
	ret=$?
	if [ $ret -ne 0 ]; then
		eerror "${SVCNAME} has detected a syntax error in your configuration files:"
		${APACHE2} ${APACHE2_OPTS} -t
	fi

	return $ret
}

start() {
	checkconfig || return 1

	[ -f /var/log/apache2/ssl_scache ] && rm /var/log/apache2/ssl_scache

	ebegin "Starting ${SVCNAME}"
	${APACHE2} ${APACHE2_OPTS} -k start

	i=0
	while [ ! -e "${PIDFILE}" ] && [ $i -lt ${TIMEOUT} ]; do
		sleep 1 && i=$(expr $i + 1)
	done

	test $i -le ${TIMEOUT}
	eend $?
}

stop() {
	checkconfd || return 1

	ebegin "Stopping ${SVCNAME}"
	${APACHE2} ${APACHE2_OPTS} -k stop

	i=0
	while pidof "${APACHE2}" >/dev/null && [ $i -lt ${TIMEOUT} ]; do
		sleep 1 && i=$(expr $i + 1)
	done

	test $i -le ${TIMEOUT}
	eend $?
}

reload() {
	RELOAD_TYPE="${RELOAD_TYPE:-graceful}"

	checkconfig || return 1
	service_started "${SVCNAME}" || return

	if [ "${RELOAD_TYPE}" = "restart" ]; then
		ebegin "Restarting ${SVCNAME}"
		${APACHE2} ${APACHE2_OPTS} -k restart
		eend $?
	elif [ "${RELOAD_TYPE}" = "graceful" ]; then
		ebegin "Gracefully restarting ${SVCNAME}"
		${APACHE2} ${APACHE2_OPTS} -k graceful
		eend $?
	else
		eerror "${RELOAD_TYPE} is not a valid RELOAD_TYPE. Please edit /etc/conf.d/${SVCNAME}"
	fi
}

graceful() {
	checkconfig || return 1
	service_started "${SVCNAME}" || return
	ebegin "Gracefully restarting ${SVCNAME}"
	${APACHE2} ${APACHE2_OPTS} -k graceful
	eend $?
}

gracefulstop() {
	checkconfig || return 1

	# zap!
	if service_started "${SVCNAME}"; then
		mark_service_stopped "${SVCNAME}"
	fi

	ebegin "Gracefully stopping ${SVCNAME}"
	${APACHE2} ${APACHE2_OPTS} -k graceful-stop
	eend $?
}

modules() {
	checkconfig || return 1

	${APACHE2} ${APACHE2_OPTS} -M 2>&1
}

fullstatus() {
	LYNX="${LYNX:-lynx -dump}"
	STATUSURL="${STATUSURL:-http://localhost/server-status}"

	if ! service_started "${SVCNAME}"; then
		eerror "${SVCNAME} not started"
	elif ! type -p ${LYNX} 2>&1 >/dev/null; then
		eerror "lynx not found! you need to emerge www-client/lynx"
	else
		${LYNX} ${STATUSURL}
	fi
}

virtualhosts() {
	checkconfd || return 1
	${APACHE2} ${APACHE2_OPTS} -S
}

configdump() {
	LYNX="${LYNX:-lynx -dump}"
	INFOURL="${INFOURL:-http://localhost/server-info}"

	checkconfd || return 1

	if ! service_started "${SVCNAME}"; then
		eerror "${SVCNAME} not started"
	elif ! type -p ${LYNX} 2>&1 >/dev/null; then
		eerror "lynx not found! you need to emerge www-client/lynx"
	else
		echo "${APACHE2} started with '${APACHE2_OPTS}'"
		for i in config server list; do
			${LYNX} "${INFOURL}/?${i}" | sed '/Apache Server Information/d;/^[[:space:]]\+[_]\+$/Q'
		done
	fi
}

# vim: ts=4 filetype=gentoo-init-d
I tried to use your file but it's not working (syntax error), and Apache was working with the same configuration before...

Thanks
 
Old 09-06-2009, 10:15 AM   #4
YassBoss
LQ Newbie
 
Registered: Jun 2009
Distribution: Gentoo Linux
Posts: 25

Original Poster
Rep: Reputation: 15
Question ...

any ideas??!!
 
Old 09-06-2009, 10:24 AM   #5
bathory
LQ Guru
 
Registered: Jun 2004
Location: Piraeus
Distribution: Slackware
Posts: 13,159
Blog Entries: 1

Rep: Reputation: 2021Reputation: 2021Reputation: 2021Reputation: 2021Reputation: 2021Reputation: 2021Reputation: 2021Reputation: 2021Reputation: 2021Reputation: 2021Reputation: 2021
Quote:
Hello,
Just like I said in the title, I can't access to http://localhost/ and when I try to stop it and it gives this:
Code:

# /etc/init.d/apache2 stop
httpd (no pid file) not running
What happens if you try to start it?
Did you take a look at the apache error_log?
 
Old 09-06-2009, 11:00 AM   #6
YassBoss
LQ Newbie
 
Registered: Jun 2009
Distribution: Gentoo Linux
Posts: 25

Original Poster
Rep: Reputation: 15
It's start normally but slowly...

Code:
/etc/init.d/apache2 start
 * Starting apache2 ...          [ ok ]
/var/log/apache2/error_log
Code:
$ cat /var/log/apache2/error_log
[Mon Aug 31 18:43:39 2009] [notice] Apache/2.2.13 (Unix) mod_ssl/2.2.13 OpenSSL/0.9.8k PHP/5.2.10-pl1-gentoo with Suhosin-Patch configured -- resuming normal operations
[Mon Aug 31 18:45:55 2009] [notice] caught SIGTERM, shutting down
[Mon Aug 31 18:45:58 2009] [notice] Apache/2.2.13 (Unix) mod_ssl/2.2.13 OpenSSL/0.9.8k PHP/5.2.10-pl1-gentoo with Suhosin-Patch configured -- resuming normal operations
[Mon Aug 31 18:46:22 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/favicon.ico
[Mon Aug 31 18:46:25 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/favicon.ico
[Tue Sep 01 03:31:49 2009] [notice] caught SIGTERM, shutting down
[Tue Sep 01 17:27:18 2009] [notice] Apache/2.2.13 (Unix) mod_ssl/2.2.13 OpenSSL/0.9.8k PHP/5.2.10-pl1-gentoo with Suhosin-Patch configured -- resuming normal operations
[Tue Sep 01 17:27:23 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/favicon.ico
[Tue Sep 01 17:27:26 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/favicon.ico
[Tue Sep 01 17:29:49 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/yWebdesigner/dd-formmailer.css, referer: http://localhost/yWebdesigner/contact.php
[Tue Sep 01 17:29:49 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/yWebdesigner/dd-formmailer.css, referer: http://localhost/yWebdesigner/contact.php
[Tue Sep 01 17:30:24 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/yWebdesigner/dd-formmailer.css, referer: http://localhost/yWebdesigner/contact.php
[Tue Sep 01 17:30:25 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/yWebdesigner/dd-formmailer.css, referer: http://localhost/yWebdesigner/contact.php
[Tue Sep 01 18:55:32 2009] [notice] Apache/2.2.13 (Unix) mod_ssl/2.2.13 OpenSSL/0.9.8k PHP/5.2.10-pl1-gentoo with Suhosin-Patch configured -- resuming normal operations
[Tue Sep 01 18:55:39 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/favicon.ico
[Tue Sep 01 18:55:42 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/favicon.ico
[Tue Sep 01 18:55:42 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/favicon.ico
[Tue Sep 01 18:55:42 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/favicon.ico
[Wed Sep 02 01:07:07 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/favicon.ico
[Wed Sep 02 01:07:10 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/favicon.ico
sendmail: Cannot open mail:25
[Wed Sep 02 01:45:52 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/favicon.ico
[Wed Sep 02 01:45:55 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/favicon.ico
[Wed Sep 02 03:25:26 2009] [notice] caught SIGTERM, shutting down
[Wed Sep 02 15:08:42 2009] [notice] Apache/2.2.13 (Unix) mod_ssl/2.2.13 OpenSSL/0.9.8k PHP/5.2.10-pl1-gentoo with Suhosin-Patch configured -- resuming normal operations
[Wed Sep 02 15:08:51 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/favicon.ico
[Wed Sep 02 15:16:47 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/joomla/admin
[Wed Sep 02 16:04:08 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/joomla/templates/khepri, referer: http://localhost/joomla/administrator/index.php?option=com_content&id=1&tmpl=component&task=preview
[Wed Sep 02 16:04:08 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/joomla/templates/khepri, referer: http://localhost/joomla/administrator/index.php?option=com_content&id=1&tmpl=component&task=preview
[Wed Sep 02 16:04:08 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/joomla/templates/khepri, referer: http://localhost/joomla/administrator/index.php?option=com_content&id=1&tmpl=component&task=preview
[Wed Sep 02 16:04:08 2009] [error] [client 127.0.0.1] File does not exist: /var/www/localhost/htdocs/joomla/templates/khepri, referer: http://localhost/joomla/administrator/index.php?option=com_content&id=1&tmpl=component&task=preview
[Wed Sep 02 22:53:35 2009] [notice] caught SIGTERM, shutting down
[Wed Sep 02 22:53:47 2009] [notice] Apache/2.2.13 (Unix) mod_ssl/2.2.13 OpenSSL/0.9.8k PHP/5.2.10-pl1-gentoo with Suhosin-Patch configured -- resuming normal operations
[Thu Sep 03 03:36:15 2009] [notice] caught SIGTERM, shutting down
[Fri Sep 04 17:50:47 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
[Fri Sep 04 17:51:03 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Fri Sep 04 17:52:11 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
[Fri Sep 04 18:07:14 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Fri Sep 04 18:11:32 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Fri Sep 04 18:31:28 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Fri Sep 04 21:47:42 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Fri Sep 04 21:53:08 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Fri Sep 04 21:57:36 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Fri Sep 04 22:00:51 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
[Fri Sep 04 22:01:43 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sat Sep 05 00:16:00 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sat Sep 05 00:29:54 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sat Sep 05 00:32:41 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sat Sep 05 02:21:09 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sat Sep 05 02:22:41 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sat Sep 05 02:24:48 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sat Sep 05 02:28:18 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sat Sep 05 02:36:26 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sat Sep 05 02:50:34 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sat Sep 05 02:53:12 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sat Sep 05 03:16:16 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sat Sep 05 15:18:10 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sat Sep 05 23:57:52 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sun Sep 06 00:56:57 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sun Sep 06 15:03:16 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
[Sun Sep 06 15:54:10 2009] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "YassBoss"
Configuration Failed
Thanks
 
Old 09-06-2009, 11:10 AM   #7
YassBoss
LQ Newbie
 
Registered: Jun 2009
Distribution: Gentoo Linux
Posts: 25

Original Poster
Rep: Reputation: 15
Solved

Finally...
I just commented the line bellow on httpd.conf:
Code:
LoadModule unique_id_module modules/mod_unique_id.so
Thank you...

Last edited by YassBoss; 09-06-2009 at 11:16 AM.
 
  


Reply

Tags
apache, gentoo, httpd, localhost


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
can't get a daemon to start - says it's already started Avatar Linux - Software 7 12-19-2006 12:02 PM
Failed to start apache : Apache does not appear to be running : number11 Slackware 9 02-11-2005 09:51 AM
Apache running terrible slow bentman78 Linux - Software 0 08-23-2004 11:22 AM
System uncleanly shut down, ran e2fsck, very slow start & slow desktop brakthepoet Linux - Newbie 1 07-02-2004 01:55 PM
9.0 has started running really slow? bawbag Slackware 1 07-31-2003 09:37 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Server

All times are GMT -5. The time now is 07:34 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration